---
title: "Decline group invite"
url: "https://docs.signnow.com/docs/doc-group-field-invite/operations/post-v2-document-groups-document_group_id-invites-document_group_invite_id-full-decline"
type: "endpoint"
section: "doc-group-field-invite"
slug: "doc-group-field-invite/operations/post-v2-document-groups-document_group_id-invites-document_group_invite_id-full-decline"
method: "POST"
path: "/v2/document-groups/{document_group_id}/invites/{document_group_invite_id}/full-decline"
operation_id: "post-v2-document-groups-document_group_id-invites-document_group_invite_id-full-decline"
authorization: "bearer"
---

# Decline group invite

`POST /v2/document-groups/{document_group_id}/invites/{document_group_invite_id}/full-decline`

Allows API users to decline signing a document group invite.

## Authorization

bearer

## Path Parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `document_group_id` | string | Yes | ID of the document group. |
| `document_group_invite_id` | string | Yes | ID of the document group invite. |

## Request Body

**Schema**

```json
{
  "type": "object",
  "required": [
    "decline"
  ],
  "properties": {
    "decline": {
      "type": "string",
      "description": "The reason for decline."
    },
    "client_timestamp": {
      "type": "integer",
      "description": "Unix timestamp of decline."
    }
  },
  "x-examples": {
    "Example 1": {
      "decline": "decline reason",
      "client_timestamp": 1586523305
    }
  }
}
```

**Example** (`Example 1`)

```json
{
  "decline": "decline reason",
  "client_timestamp": 1586523305
}
```

## Responses

### 204

Successfully declined.

### 400

The access token is incorrect.

**Example** (`Incorrect access token`)

```json
{
  "code": 1537,
  "error": "invalid_token"
}
```

### 403

User does not have access to this action

### 404

* Requested document group or group invite not found or are not related to each other
* No pending invites for you in this document group.
* The group can not be declined as it is not in pending state.

**Example** (`Doc group not found`)

```json
{
  "errors": [
    {
      "code": 19001011,
      "message": "Document group `aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa` not found"
    }
  ]
}
```

**Example** (`Doc group invite not found`)

```json
{
  "errors": [
    {
      "code": 19002005,
      "message": "Document group invite `aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa` not found"
    }
  ]
}
```

**Example** (`No pending invites for you in this document group.`)

```json
{
  "errors": [
    {
      "code": 19006002,
      "message": "No pending invites for you in this document group."
    }
  ]
}
```

**Example** (`The group can not be declined as it is not in pending state.`)

```json
{
  "errors": [
    {
      "code": 19006001,
      "message": "The group can not be declined as it is not in pending state."
    }
  ]
}
```

## Code Examples

> Replace `$SIGNNOW_ACCESS_TOKEN` and any `{placeholder}` values before running.

### cURL

```bash
curl -X POST \
  "https://api.signnow.com/v2/document-groups/{document_group_id}/invites/{document_group_invite_id}/full-decline" \
  -H "Authorization: Bearer $SIGNNOW_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"decline": "decline reason", "client_timestamp": 1586523305}'
```

---
*Full reference: https://docs.signnow.com/docs/doc-group-field-invite/operations/post-v2-document-groups-document_group_id-invites-document_group_invite_id-full-decline*
